#if !defined(AFX_DLGNMLST_HPP__C7833E81_CCF7_11D0_B183_0060973673C5__INCLUDED_)
#define AFX_DLGNMLST_HPP__C7833E81_CCF7_11D0_B183_0060973673C5__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// DlgNmLst.hpp : header file
//
#include "TACT_Res.h"
#include "TAC.h"

class TAction_Interface;
class CPA_Family;

/////////////////////////////////////////////////////////////////////////////
// CDlgNameList form view

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CDlgNameList : public CFormView
{
protected:
    TAction_Interface       *m_p_oDLL;
    CPA_Family              *m_p_oCurrentFamily;
    BOOL                    m_bFirstShow;
protected:
	CDlgNameList();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDlgNameList)

// Form Data
public:
	//{{AFX_DATA(CDlgNameList)
	enum { IDD = IDD_DLG_NAMESLIST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

// Attributes
public:
	BOOL Create(LPCTSTR lpszClassName, LPCTSTR lpszWindowName,
				DWORD dwRequestedStyle, const RECT& rect, CWnd* pParentWnd, UINT nID,
				CCreateContext* pContext);

// Operations
public:
	void mfn_vSetFamily             (CPA_Family *_p_oFamily);
    void mfn_vSetParentDLL	        (TAction_Interface *_p_oDLL)  { m_p_oDLL = _p_oDLL ; }
    void mfn_vSetCurrentNamesList   (CPA_tdoNameList *_p_oNamesList);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgNameList)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void            mfn_vFillLBNames(CPA_Family *_p_oFamily, tde_ZoneType _eZone);
	tde_ZoneType    mfn_vGetZoneType();
    void            mfn_vSetZoneType(tde_ZoneType _eType);
	virtual ~CDlgNameList();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CDlgNameList)
	afx_msg void OnDestroy();
	afx_msg void OnRadioZdx();
	afx_msg void OnBtEditstate();
	afx_msg void OnSelchangeLbNames();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGNMLST_HPP__C7833E81_CCF7_11D0_B183_0060973673C5__INCLUDED_)
